Bug 848467 - [abrt] rabbitvcs-core-0.15.0.5-1.fc17: log.py:1276:view_diff_previous_revision:TypeError: object of type 'NoneType' has no len()
[abrt] rabbitvcs-core-0.15.0.5-1.fc17: log.py:1276:view_diff_previous_revisio...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rabbitvcs (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:7fc2cc660a0fa4f9161076682f8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 12:47 EDT by Thuc - Le Dong
Modified: 2013-08-01 02:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:00:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thuc - Le Dong 2012-08-15 12:47:17 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/lib/python2.7/site-packages/rabbitvcs/ui/log.py /mnt/a239ab75-0d4c-4218-a8ca-b1ea30548f4e/Project/Unsuccess/PrimeCirca/Src
executable:     /usr/lib/python2.7/site-packages/rabbitvcs/ui/log.py
kernel:         3.5.1-1.fc17.x86_64
time:           Wed 15 Aug 2012 01:15:54 AM ICT
uid:            1000
username:       thucle

backtrace:
:log.py:1276:view_diff_previous_revision:TypeError: object of type 'NoneType' has no len()
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/rabbitvcs/ui/log.py", line 1276, in view_diff_previous_revision
:    if len(self.revisions[0]["parents"]) > 0:
:TypeError: object of type 'NoneType' has no len()
:
:Local variables in innermost frame:
:data: <gtk.gdk.Event at 0x2409f80: GDK_BUTTON_PRESS x=44.00, y=18.00, button=1>
:widget: <gtk.ImageMenuItem object at 0x7f63ac8c3f50 (GtkImageMenuItem at 0x2688940)>
:rev: u'73'
:self: <__main__.LogBottomContextMenuCallbacks instance at 0x241d320>

smolt_data:
:
:
:General
:=================================
:UUID: 63ad86e8-84b1-4c64-bcc0-8b99b5f91966
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5054.26
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3 CPU       M 380  @ 2.53GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2533
:System Memory: 1866
:System Swap: 3999
:Vendor: Dell Inc.
:System: Inspiron N4010 A08
:Form factor: Portable
:Kernel: 3.5.1-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4136:1110) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(6505:8288:4136:1110) pci, atl1c, ETHERNET, AR8152 v1.1 Fast Ethernet
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4136:1110) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:4136:1110) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15115:4136:1110) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4136:1110) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:9288:4136:1110) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:4136:1110) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4136:1110) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:4136:1110) pci, mei, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(5348:18215:4136:16) pci, bcma-pci-bridge, NETWORK, XPS 8300
:(32902:70:4136:1110) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15170:4136:1110) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4136:1110) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4136:1110) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15180:4136:1110) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 10079070 8385519 8283137 2564096 2410018 2410018
:/dev/sda2 WITHHELD ext4 4096 4096 65829135 62239133 58895210 16719872 16494545 16494545
:
Comment 1 Daniel O'Connor 2012-09-08 15:02:40 EDT
Fixed in https://code.google.com/p/rabbitvcs/issues/detail?id=637
Comment 2 Fedora End Of Life 2013-07-03 21:30:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 02:00:12 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.